<?php
/**
 * @var $this IWD_Opc_Block_Onepage_Payment_Method
 */
?>
<?php
$methods = $this->getMethods();
$selectedPaymentMethod = $this->getSelectedMethodCode();
?>
<div class="iwd_opc_universal_wrapper iwd_opc_message iwd_opc_section_message error_message hide">

</div>
<form class="iwd_opc_form" id="iwd_opc_payment_method_form">
    <?php if (empty($methods)) { ?>
        <div class="iwd_opc_universal_wrapper">
        <?php echo $this->escapeHtml($this->__('Currently we do not ship to your pincode location')); ?>
        </div>
<script>
jQuery('#iwd_opc_place_order_button').attr('disabled','disabled');
</script>
    <?php } else { ?>
<script>
jQuery('#iwd_opc_place_order_button').removeAttr('disabled');
</script>
	<?php 
		$numMethods=count($methods);
	?>
        <div class="iwd_opc_universal_wrapper" style="<?php if($numMethods==1){}?>">
	<div class="payment_label order_summary_title"><?php echo Mage::helper('payment')->__('Payment Methods');?></div>
            
		<?php foreach($methods as $method){
		$code = $method->getCode();?>
			<input class="payment-radio" type="radio" id="payment_method_<?php echo $this->escapeHtml($code);?>" name="payment[method]" value="<?php echo $this->escapeHtml($code);?>" checked="true">
				<label for="payment_method_<?php echo $this->escapeHtml($code)?>"><?php echo $method->getTitle();?></label><br>
		<?php } ?>
            
	</div>
	<div class="phoenix_cashondelivery_notice notice hide">You will be charged an extra amount of INR 150 as Cash on Delivery Charges</div>
	<div class="payucheckout_shared_notice notice hide">You will be redirected to Payu Payment Gateway when you Place Order.</div>
		<script>
		jQuery(".payment-radio").click(function(e){
			jQuery('.notice').addClass('hide');
			jQuery('.'+jQuery(this).val()+'_notice').removeClass('hide');
			if(jQuery(this).val()=='phoenix_cashondelivery')
			{
				jQuery('.cod_fee').removeClass('hide');
				jQuery('.grandTotal').html('<?php echo $this->helper('iwd_opc')->formatPrice($this->getQuote()->getGrandTotal()+150, false); ?>');			
			}
			else
			{
				jQuery('.cod_fee').addClass('hide');
				jQuery('.grandTotal').html('<?php echo $this->helper('iwd_opc')->formatPrice($this->getQuote()->getGrandTotal(), false); ?>');			
					
			}
		});		
		</script>
        <div class="iwd_opc_payment_method_forms">
            <?php foreach ($methods as $method) {
                $code = $method->getCode(); ?>
                <?php if ($html = $this->getPaymentMethodFormHtml($method)) { ?>
                    <div class="iwd_opc_payment_method_form"
                        <?php if ($selectedPaymentMethod != $code) { ?>
                            style="display:none;"
                        <?php } ?>
                         data-payment-method-code="<?php echo $this->escapeHtml($code); ?>">
                        <?php echo $html; ?>
                    </div>
                <?php } ?>
            <?php } ?>
        </div>
    <?php } ?>
</form>
<script type="text/javascript">
    var iwdOpcPaymentMethodForm = new VarienForm('iwd_opc_payment_method_form');
    iwdOpcPaymentMethodForm.validator.options = {
        onSubmit: false,
        stopOnFirst: false,
        immediate: false,
        focusOnError: false,
        useTitles: false,
        onFormValidate: function (result, form) {
        },
        onElementValidate: function (result, elm) {
        }
    };
</script>
